'''Phoenix Highscore.'''

import datetime



class HighScores:
    def __init__(self):
        self._scores = []
        
    def register_score(self, score):
        self._scores.append((datetime.date.today(), score))
        self._scores.sort(lambda a, b: -cmp(a[1][0], b[1][0]))
        
    def scores(self):
        return self._scores
    
    def top_scores(self, n):
        return self.scores()[:n]
