'''Basic event classes.'''

class Event:
    def __init__(self, source, target):
        if source is not None:
            self._model = source.model()
            
        self._source = source
        self._target = target
    
    def is_flavor(self):
        return False
    
    def model(self):
        return self._model
    
    def source(self):
        return self._source
    
    def target(self):
        return self._target
    
    def description(self):
        raise 'Not implemented'    
    
    def do(self):
        raise 'Not implemented in ' + str(self)
    