'''Wrapper around Curses attributes.'''

from ui import cursesemu

curses = cursesemu



class Property:
    def attribute(self):
        raise 'Not implemented'
    
class ColorProperty:
    def __init__(self, pair, color, bright):
        self.pair = pair
        self.color = color
        self.bright = bright
        self.init = False
        
    def __int__(self):        
        if not self.init:
            curses.init_pair(self.pair, self.color, curses.COLOR_BLACK)
            self.init = True
            
        if self.bright:
            return curses.color_pair(self.pair) | curses.A_BOLD
        else:
            return curses.color_pair(self.pair)



MARINE  = ColorProperty( 1, curses.COLOR_BLUE,    False)
GRASS   = ColorProperty( 2, curses.COLOR_GREEN,   False)
TEAL    = ColorProperty( 3, curses.COLOR_CYAN,    False)
BRICK   = ColorProperty( 4, curses.COLOR_RED,     False)
PURPLE  = ColorProperty( 5, curses.COLOR_MAGENTA, False)
BROWN   = ColorProperty( 6, curses.COLOR_YELLOW,  False)
GREY    = ColorProperty( 7, curses.COLOR_WHITE,   False)
BLACK   = ColorProperty( 8, curses.COLOR_BLACK,   True)
BLUE    = ColorProperty( 9, curses.COLOR_BLUE,    True)
GREEN   = ColorProperty(10, curses.COLOR_GREEN,   True)
CYAN    = ColorProperty(11, curses.COLOR_CYAN,    True)
RED     = ColorProperty(12, curses.COLOR_RED,     True)
MAGENTA = ColorProperty(13, curses.COLOR_MAGENTA, True)
YELLOW  = ColorProperty(14, curses.COLOR_YELLOW,  True)
WHITE   = ColorProperty(15, curses.COLOR_WHITE,   True)

